# Type Alias Exp<TTable>

Exp<TTable>: (TTable extends "numbers"
? BoolExpValue<number>
: TTable extends "strings"
? BoolExpValue<string>
: TTable extends "objects"
? BoolExpValue<object>
: TTable extends "can"
? BoolExpCan
: TTable extends "selectors"
? BoolExpSelector
: TTable extends "tree"
? BoolExpTree
: TTable extends "handlers"
? BoolExpHandler
: QueryLink) | Id | Id[]

#### Type Parameters

- TTable extends Table = "links"

- Defined in work/deeplinks/deeplinks/imports/client.tsx:2155